Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 173661

Summary: Review Request: xfce4-fsguard-plugin
Product: [Fedora] Fedora Reporter: Christoph Wickert <christoph.wickert>
Component: Package ReviewAssignee: Luya Tshimbalanga <luya_tfz>
Status: CLOSED NEXTRELEASE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-extras-list, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://xfce-goodies.berlios.de/
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-01-26 14:01:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 163779    

Description Christoph Wickert 2005-11-18 20:33:05 UTC
Spec Name or Url: 
http://home.arcor.de/christoph.wickert/fedora/extras-review/SPECS/xfce4-fsguard-plugin.spec
SRPM Name or Url: 
http://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/xfce4-fsguard-plugin-0.2.1-1.fc4.src.rpm
Description: 
A little Xfce plugin, which checks the free space on the chosen mountpoint frequently. It displays 4 different icons and a message box, depending on the free space. The amount of free disk space is visible in a tooltip. If you left-click on its icon, it opens the mountpoint directory in the file manager.

Comments:
rpmlint clean
license BSD and included

Comment 1 Christoph Wickert 2005-12-01 02:39:31 UTC
- Add libxfcegui4-devel BuildReqs.
- Fix %defattr.

New SRPM:
http://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/xfce4-fsguard-plugin-0.2.1-2.fc4.src.rpm

Comment 2 Luya Tshimbalanga 2006-01-06 22:37:07 UTC
Spec is good. Mock succesfully built from SRPMS, rpmlint passed. Set to FE-ACCEPT.
Congragulation.

Comment 3 Luya Tshimbalanga 2006-01-22 23:17:41 UTC
More detailed review:
+ mock succesfully build the package without noticeable error
+ rpmlint did not report any error nor warning
+ tarball from SRPM matched source tarball for URL listed on SPEC file through
md5 and sha1
+ binary package installed and removed without noticeable issue
+ name of the package/SPEC files follow PackagingGuide and PackageNameGuideline
http://fedoraproject.org/wiki/PackagingGuidelines
http://fedoraproject.org/wiki/PackageNamingGuidelines
+ License listed on SPEC file matched the license in the tarball and it is
GPL-compatible http://www.gnu.org/philosophy/license-list.html#GPLCompatibleLicenses

Accordingly, the package is ready to be included on Fedora Extras.

Comment 4 Christoph Wickert 2006-01-26 14:01:40 UTC
Build on all targets succeeded.

CLOSED.